# Interface JmolJSpecView

All Known Implementing Classes:
  `JSV`

public interface JmolJSpecView

## Method Summary

Modifier and Type
Method
Description
`void`
`atomPicked(int atomIndex)`
`int`
`getBaseModelIndex(int modelIndex)`
`String`
`processSync(String script, int mode)`
`void`
`setModel(int modelIndex)`
`JmolJSpecView`
`setViewer(Viewer vwr)`

## Method Details

### setViewer

JmolJSpecView setViewer(Viewer vwr)

### atomPicked

void atomPicked(int atomIndex)

### setModel

void setModel(int modelIndex)

### getBaseModelIndex

int getBaseModelIndex(int modelIndex)

### processSync

String processSync(String script, int mode)